package com.cftech.common.promotionstock.dao;

import com.cftech.common.promotionstock.model.*;
import com.cftech.common.typeappform.model.TypeAppForm;
import com.cftech.core.generic.GenericDao;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface PromotionStockMapper extends GenericDao<PromotionStock> {


    List<PStockStatisticalDto> fetchPStockStatistical(Map<String,Object> params);

    List<GrantDetailDto> managerGrantDetail(Map<String,Object> params);

    List<AfterStockDto> managerAfterStock(Map<String,Object> params);

    List<GrantDetailDto> supplierGrantDetail(Map<String,Object> params);

    BigDecimal supplierLogisticsPrice(Map<String,Object> params);

    List<GrantDetailDto> deptGrantDetails(Map<String,Object> params);

    List<GrantDetailDto> useGrantDetails(Map<String,Object> params);

    EvalityNumberDto managerEvaluate(Map<String,Object> params);

    EvalityNumberDto applyEvaluate(Map<String,Object> params);

    Integer managerConfirm(Map<String,Object> params);

    List<TypeAppForm> fetchSearchByPageByAppform(Map<String,Object> params);


    List<SupplierStockDto> getSupplierStockStatistics(Map<String,Object> params);

}
